<template>
  <div>
    <a class="social-button" :href="oauthHref">
      <div class="icon">
        <img :src="`/${provider}.svg`" :alt="label">
      </div>
      <div class="text">Sign in with {{ label }}</div>
    </a>
  </div>
</template>

<script>
export default {
  props: ['provider'],

  data () {
    return {
      socials: {
        google: {
          label: 'Google'
        },
        facebook: {
          label: 'Facebook'
        },
        github: {
          label: 'GitHub'
        },
        microsoft: {
          label: 'Microsoft'
        }
      }
    }
  },

  computed: {
    label () {
      return this.socials[this.provider].label
    },

    oauthHref () {
      return window._config.OAUTH_ENDPOINT + '/'
           + this.provider + '?redirect='
           + window.location.origin + '/sign-in/callback'
    }
  }
}
</script>

<style scoped lang="scss">
.social-button {
  border-radius: 2px;
  border: 1px solid #d2d2d2;
  font-size: 16px;
  display: flex;
  height: 45px;
  text-decoration: none;

  .icon {
    width: 50px;
    text-align: center;
    border-right: 1px solid #d2d2d2;
    line-height: 57px;

    img {
      width: 24px;
      height: 24px;
    }
  }

  .text {
    flex: 1;
    text-align: center;
    line-height: 45px;
    color: #333;
  }

  &:hover .text {
    color: #1989fa;
  }
}
</style>
